Skip to content

Backups

All operations require authentication.

3 operationsv2/publicCloud/project
Agent setup

List backupsBeta

GET
/v2/publicCloud/project/{projectId}/managedDatabase/backup

Returns the backups of all database services of the project, across engines. Filter them by service with the serviceId parameter.

Path parameters

projectId
required
string

Project ID

Query parameters

serviceId
stringuuid

Filter backups by service identifier

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Backup[]successful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the backup was created

description
read-only
string

Human-readable description of the backup

expiredAt
read-only
stringdate-time

Date until point-in-time recovery is available from this backup

id
read-only
stringuuid

Unique identifier of the backup

regions
read-only
RegionEnum[]

Regions where this backup is stored

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
serviceId
read-only
stringuuid

Identifier of the service this backup belongs to

size
read-only
UnitAndValue

Size of the backup

status
read-only
BackupStatusEnum

Current readiness status of the backup

ValuesCREATINGDELETINGERRORREADY
type
read-only
BackupTypeEnum

Type of this backup

ValuesAUTOMATICMANUALNONEPITRSNAPSHOT

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedDatabase/backup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "description": "string", "expiredAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "regions": [ "af-north-lz-rba" ], "serviceId": "00000000-0000-0000-0000-000000000000", "size": { "unit": "GB", "value": 0 }, "status": "CREATING", "type": "AUTOMATIC" }]

Get a backupBeta

GET
/v2/publicCloud/project/{projectId}/managedDatabase/backup/{backupId}

Returns the backup type, size, status and storage regions, and the date until which point-in-time recovery is available.

Path parameters

backupId
required
stringuuid

Backup ID

projectId
required
string

Project ID

Response

200Backupsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the backup was created

description
read-only
string

Human-readable description of the backup

expiredAt
read-only
stringdate-time

Date until point-in-time recovery is available from this backup

id
read-only
stringuuid

Unique identifier of the backup

regions
read-only
RegionEnum[]

Regions where this backup is stored

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
serviceId
read-only
stringuuid

Identifier of the service this backup belongs to

size
read-only
UnitAndValue

Size of the backup

status
read-only
BackupStatusEnum

Current readiness status of the backup

ValuesCREATINGDELETINGERRORREADY
type
read-only
BackupTypeEnum

Type of this backup

ValuesAUTOMATICMANUALNONEPITRSNAPSHOT

Example uses backupId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedDatabase/backup/{backupId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "description": "string", "expiredAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "regions": [ "af-north-lz-rba" ], "serviceId": "00000000-0000-0000-0000-000000000000", "size": { "unit": "GB", "value": 0 }, "status": "CREATING", "type": "AUTOMATIC"}

Restore the serviceBeta

POST
/v2/publicCloud/project/{projectId}/managedDatabase/mongodb/{serviceId}/restore

Restores the service from a backup, to the given pointInTime. Without pointInTime, the latest backup is restored. The current data of the service is replaced and the restore is asynchronous: follow resourceStatus until READY.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

pointInTime
stringdate-time

Point in time to restore to. When null, the backup is restored as-is.

Response

200Servicesuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the service was created

currentState
read-only
ServiceCurrentState

Current configuration deployed on the service

currentTasks
read-only
CurrentTask[]

Asynchronous operations currently running on the service

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the service. A new target specification is accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ServiceTargetSpec

Last requested target specification for the service

updatedAt
read-only
stringdate-time

Date of the last update to the service

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedDatabase/mongodb/{serviceId}/restore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "advancedConfiguration": { "key": "string" }, "backup": { "pitr": "2024-01-01T12:00:00Z", "regions": [ "af-north-lz-rba" ], "retentionDays": 0, "time": "string" }, "capabilities": { "key": { "create": "DISABLED", "delete": "DISABLED", "read": "DISABLED", "update": "DISABLED" } }, "deletionProtected": true, "description": "string", "endpoints": [ { "component": "CLICKHOUSE", "domain": "string", "path": "string", "port": 0, "public": true, "scheme": "string", "ssl": true, "sslMode": "REQUIRE", "uri": "string" } ], "engineCapabilities": { "advancedConfigurationProperties": [ { "default": "string", "description": "string", "maximum": 0, "minimum": 0, "name": "string", "requiresRestart": true, "type": "BOOLEAN", "values": [ "string" ] } ], "backupRegions": [ "string" ], "categories": [ "string" ], "commands": [ "string" ], "connectors": [ { "author": "string", "configuration": [ { "defaultValue": null, "description": null, "displayName": null, "group": null, "importance": null, "name": null, "required": null, "type": null, "values": null } ], "documentationUrl": "string", "id": "00000000-0000-0000-0000-000000000000", "latest": true, "name": "string", "preview": true, "transforms": [ { "description": null, "displayName": null, "name": null, "required": null, "transformType": null, "type": null, "values": null } ], "type": "SINK", "version": "string" } ], "integrations": [ { "destinationEngine": "CLICKHOUSE", "parameters": [ { "name": null, "type": null } ], "sourceEngine": "CLICKHOUSE", "type": "GRAFANA_DASHBOARD" } ] }, "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "networkId": "00000000-0000-0000-0000-000000000000", "public": true, "subnetId": "00000000-0000-0000-0000-000000000000" }, "nodes": [ { "createdAt": "2024-01-01T12:00:00Z", "flavor": "string", "id": "00000000-0000-0000-0000-000000000000", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "port": 0, "role": "ANALYTICS", "status": "CREATING" } ], "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "status": "CREATING", "storage": { "size": { "unit": "GB", "value": 0 }, "type": "HIGH_SPEED" }, "version": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "advancedConfiguration": { "key": "string" }, "backup": { "regions": [ "af-north-lz-rba" ], "time": "string" }, "deletionProtected": true, "description": "string", "flavor": "string", "maintenanceWindow": { "startTimeUtc": "string" }, "network": { "authorizedIps": { "rules": [ { "cidr": "192.0.2.0/24", "createdAt": "2024-01-01T12:00:00Z", "description": "string" } ] }, "public": true }, "nodesCount": 0, "plan": "string", "prometheusEnabled": true, "storage": { "size": { "unit": "GB", "value": 0 } }, "version": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}